CREATE TABLE `tad_students` (
  `stu_sn` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '學生編號',
  `class_sn` smallint(6) unsigned NOT NULL COMMENT '班級編號',
  `stu_name` varchar(255) NOT NULL COMMENT '學生姓名',
  `stu_nickname` varchar(255) NOT NULL COMMENT '學生暱稱',
  `stu_sex` enum('男','女') NOT NULL COMMENT '性別',
  `stu_ubicode` varchar(255) NOT NULL COMMENT '學號',
  `stu_no` tinyint(3) unsigned NOT NULL COMMENT '座號',
  `stu_birthday` date NOT NULL COMMENT '生日',
  `stu_enable` enum('1','0') NOT NULL COMMENT '是否還在班上',
  `stu_job` varchar(255) NOT NULL COMMENT '擔任幹部',
  `stu_parent` varchar(255) NOT NULL COMMENT '家長名稱',
  `stu_relation` varchar(255) NOT NULL COMMENT '關係',
  `stu_tel` varchar(255) NOT NULL COMMENT '聯絡電話',
  `stu_cellphone` varchar(255) NOT NULL COMMENT '聯絡手機',
  `zip` varchar(255) NOT NULL COMMENT '郵遞區號',
  `county` varchar(255) NOT NULL COMMENT '縣市',
  `city` varchar(255) NOT NULL COMMENT '鄉鎮市',
  `addr` varchar(255) NOT NULL COMMENT '地址',
  `uid` smallint(6) unsigned NOT NULL COMMENT 'uid',
  `top` smallint(6) NOT NULL,
  `left` smallint(6) NOT NULL,
  PRIMARY KEY (`stu_sn`),
  UNIQUE KEY `class_sn` (`class_sn`,`stu_ubicode`)
) ENGINE=MyISAM;

CREATE TABLE `tad_class` (
  `class_sn` smallint(6) unsigned NOT NULL auto_increment COMMENT '班級編號',
  `class_name` varchar(255) NOT NULL COMMENT '班級名稱',
  `class_teacher` varchar(255) NOT NULL COMMENT '班級導師',
  `class_about_teacher` text NOT NULL COMMENT '關於導師',
  `class_tea_say` text NOT NULL COMMENT '導師的話',
  `class_rule` text NOT NULL COMMENT '班規',
  `class_target` text NOT NULL COMMENT '教學理念',
  `class_enable` enum('1','0') NOT NULL COMMENT '是否使用',
PRIMARY KEY (`class_sn`)
) ENGINE=MyISAM;

CREATE TABLE `tad_class_files_center` (
  `files_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT '檔案流水號',
  `col_name` varchar(255) NOT NULL COMMENT '欄位名稱',
  `col_sn` smallint(5) unsigned NOT NULL COMMENT '欄位編號',
  `sort` smallint(5) unsigned NOT NULL COMMENT '排序',
  `kind` enum('img','file') NOT NULL COMMENT '檔案種類',
  `file_name` varchar(255) NOT NULL COMMENT '檔案名稱',
  `file_type` varchar(255) NOT NULL COMMENT '檔案類型',
  `file_size` int(10) unsigned NOT NULL COMMENT '檔案大小',
  `description` text NOT NULL COMMENT '檔案說明',
  `counter` mediumint(8) unsigned NOT NULL COMMENT '下載人次',
  PRIMARY KEY (`files_sn`)
) ENGINE=MyISAM COMMENT='檔案資料表';

CREATE TABLE `tad_class_plugin` (
  `plugin_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `mid` smallint(5) unsigned NOT NULL,
  `dirname` varchar(255) NOT NULL,
  `class_sn` smallint(5) unsigned NOT NULL,
  `plugin_title` varchar(255) NOT NULL,
  `plugin_enable` enum('1','0') NOT NULL,
  `col_name` varchar(255) NOT NULL,
  `col_sn` smallint(5) unsigned NOT NULL,
  `page` varchar(255) NOT NULL,
  PRIMARY KEY (`plugin_sn`)
) ENGINE=MyISAM;
